Subject: Re: [PATCH 0/2] revision: exclude all packed objects with `--unpacked`

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 Nov 2023 10:43:06 +0100

On Mon, Nov 06, 2023 at 11:02:35PM -0500, Jeff King wrote:
> On Mon, Nov 06, 2023 at 05:56:27PM -0500, Taylor Blau wrote:
> 
> > While working on my longer series to enable verbatim pack reuse across
> > multiple packs[^1], I noticed a couple of oddities with the `--unpacked`
> > rev-walk flag.
> > 
> > While it does exclude packed commits, it does not exclude (all) packed
> > trees/blobs/annotated tags. This problem exists in the pack-bitmap
> > machinery, too, which will over-count queries like:
> > 
> >     $ git rev-list --use-bitmap-index --all --unpacked --objects
> > 
> > , etc.
> > 
> > The fix is relatively straightforward, split across two patches that
> > Peff and I worked on together earlier today.
> 
> I'm not sure my review is worth anything, but this looks good to me. ;)
> I do think it might be worth tightening up the docs as Junio suggested,
> but I would be fine to see that as a patch on top.
> 
> -Peff

I also read through the patches and agree, this looks good to me.
Thanks!

Patrick